Subject: FVWM: compiling fvwmw-2.2 with shapes disabled

From: "Pietralla, Siegfried" <[email-masked]>
Date: Mon, 1 Mar 1999 13:07:07 +1100

hi all,

i've just downloaded and compiled fvwm-2.2.0. since i don't have "shape.h"
on my machine i configured with "./configure --disable-shape". however when
i went to compile i received failures in some modules when it couldn't find
certain files. i made the following changes:

$ diff ./fvwm-2.2/modules/FvwmCpp/FvwmCpp.c
./fvwm-2.2/modules/FvwmCpp/FvwmCpp.c-1
43a44,45
> #include <X11/extensions/shape.h>
> #include <X11/Xmu/SysUtil.h>

$ diff ./fvwm-2.2/modules/FvwmM4/FvwmM4.c
./fvwm-2.2/modules/FvwmM4/FvwmM4.c-1
42a43,44
> #include <X11/extensions/shape.h>
> #include <X11/Xmu/SysUtil.h>

$ diff ./fvwm-2.2/modules/FvwmScroll/FvwmScroll.c
./fvwm-2.2/modules/FvwmScroll/FvwmScroll.c-1
35a36
> #include <X11/Xmu/WinUtil.h>

my questions are:

1.

should configure have taken care of the references to "shape.h" for me? in
which case i'm obviously unfussed about the deletions.

2.

what (if anything) has happened to me by deleting the lines for "SysUtil.h"
and "WinUtil.h"?

sorry about my ignorance about 'c' - i really must go out and buy a book one
day!!

while i'm here, any obvious reason why the hp 'c' compiler wouldn't work?
fortunately someone had already installed gcc and that does work (of
course!).

e.g.

Making all in libs
        cc -DHAVE_CONFIG_H -I. -I. -I.. -I..      -g -c ClientMsg.c
cc: "ClientMsg.c", line 20: error 1000: Unexpected symbol: "*".
cc: "ClientMsg.c", line 20: error 1000: Unexpected symbol: ")".
cc: "ClientMsg.c", line 20: error 1616: Unable to open intrinsic file
"/usr/local/lib/sysintr".
cc: "ClientMsg.c", line 22: error 1000: Unexpected symbol: "ev".
cc: "ClientMsg.c", line 24: error 1000: Unexpected symbol: "if".
cc: "ClientMsg.c", line 24: error 1000: Unexpected symbol: "==".
cc: "ClientMsg.c", line 25: error 1000: Unexpected symbol:
"_XA_WM_PROTOCOLS".
cc: "ClientMsg.c", line 27: error 1000: Unexpected symbol: ".".
cc: "ClientMsg.c", line 28: error 1000: Unexpected symbol: ".".
cc: "ClientMsg.c", line 29: error 1000: Unexpected symbol: ".".
cc: "ClientMsg.c", line 30: error 1000: Unexpected symbol: ".".
cc: "ClientMsg.c", line 31: error 1000: Unexpected symbol: ".".
cc: "ClientMsg.c", line 31: error 1000: Unexpected symbol: ".".
cc: "ClientMsg.c", line 32: error 1000: Unexpected symbol: ".".
cc: "ClientMsg.c", line 32: error 1000: Unexpected symbol: ".".
cc: "ClientMsg.c", line 33: error 1000: Unexpected symbol: "0".
cc: "ClientMsg.c", line 33: error 1000: Unexpected symbol: "*".
cc: "ClientMsg.c", line 33: error 1000: Unexpected symbol: "&".
cc: "ClientMsg.c", line 34: error 1000: Unexpected symbol: "}".
cc: "ClientMsg.c", line 22: error 1584: Inconsistent type declaration:
"XClientMessageEvent".
cc: "ClientMsg.c", line 22: warning 525: Redeclaration of identifier
"XClientMessageEvent".
cc: "ClientMsg.c", line 24: error 1584: Inconsistent type declaration:
"_XA_WM_PROTOCOLS".
cc: "ClientMsg.c", line 24: warning 525: Redeclaration of identifier
"_XA_WM_PROTOCOLS".
cc: "ClientMsg.c", line 25: error 1588: "disp" undefined.
cc: "ClientMsg.c", line 24: error 1521: Incorrect initialization.
cc: "ClientMsg.c", line 28: error 1588: "w" undefined.
cc: "ClientMsg.c", line 28: error 1521: Incorrect initialization.
cc: "ClientMsg.c", line 29: error 1521: Incorrect initialization.
cc: "ClientMsg.c", line 31: error 1504: A zero or negative array size is
illegal.
cc: "ClientMsg.c", line 31: error 1588: "a" undefined.
cc: "ClientMsg.c", line 31: error 1521: Incorrect initialization.
cc: "ClientMsg.c", line 32: warning 525: Redeclaration of identifier "l".
cc: "ClientMsg.c", line 32: error 1588: "timestamp" undefined.
cc: "ClientMsg.c", line 32: error 1521: Incorrect initialization.
cc: "ClientMsg.c", line 33: error 1584: Inconsistent type declaration:
"XSendEvent".
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.
*** Error exit code 1

Stop.

thanx,
siegfried.

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].